## Update the account `PUT https://getkollek.com/api/account` Update the name and default currency of the account. The currency applies to new amounts. Amounts already recorded keep the currency they were entered in. **Permissions:** Owners only. Editors and viewers get a 404 response. ### Body parameters - `name` (string, required): The name of the account. Maximum 100 characters. - `currency_code` (string, required): The three letter code of the default currency, such as USD or EUR. **Returns:** The updated account object. ### Example request ```bash curl https://getkollek.com/api/account \ -X PUT \ -H "Authorization: Bearer $API_KEY" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "Central Perk", "currency_code": "USD" }' ``` ### Example response `Status: 200` ```json { "data": { "type": "account", "id": "1", "attributes": { "name": "Central Perk", "currency_code": "USD", "items_used": 7, "item_limit": 15, "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/account" } } } ```